Parsoid should nowiki-escape '}' in a table cell or insert a whitespace character, as appropriate
Closed, ResolvedPublic

Description

While a - is well embeded in a nowiki anchor when a table cell is created with - as only content, that is not the case when a cell is created with only }. The resulting code will be a |} at the beggining of the line wich will end the table.

Restricted Application added subscribers: jeblad, Aklapper. · View Herald TranscriptOct 31 2018, 9:32 PM
matmarex edited projects, added Parsoid; removed VisualEditor.Nov 1 2018, 1:20 AM
ssastry renamed this task from [VisualEditor:] Creating a cell table with a single `}` create misparsed table to Parsoid should nowiki-escape '}' in a table cell or insert a whitespace character, as appropriate.Nov 1 2018, 3:59 AM
ssastry triaged this task as Normal priority.

Change 472379 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] html2wt: Handle } in table cells properly

https://gerrit.wikimedia.org/r/472379

ssastry claimed this task.Nov 8 2018, 6:00 AM

Change 472379 merged by jenkins-bot:
[mediawiki/services/parsoid@master] html2wt: Handle } in table cells properly

https://gerrit.wikimedia.org/r/472379

ssastry closed this task as Resolved.Nov 8 2018, 5:16 PM